
var IconsCount=0;
var UserChoice="star";
var Score=0;
var MaxChapter=12;
var CurrentChapter=0;
var ChapterArray= new Array();
var AnswerArray= new Array("2","1", "3", "0", "3", "3", "0", "3", "3", "1", "2", "0", "0");

function Init(){
for (var k=0; k<=12; k++) ChapterArray[k]=k;
ChapterArray.sort(RandomRearange);
CurrentChapter=0;//ChapterArray[CurrentChapter]
for (var k=0; k<=3; k++) {document.getElementById("Photo"+k).className="imagenotselected";}
ShowChapter(ChapterArray[CurrentChapter]);
}

function RandomRearange(){
return (Math.round(Math.random())-0.5); 
}

function ShowChapter(ChapterNum){
var CN=CurrentChapter+1;
var del=0;
document.getElementById("RightWrongDIV").innerHTML="<strong>Επιλέξτε ένα από τα τέσσερα</strong>";

for (var k=0; k<=3; k++) {document.getElementById("Photo"+k).className="imagenotselected";}
document.getElementById("QuestionPhoto").src='images/s'+ChapterNum+'.jpg';
var CardsArray=Array("0", "1", "2", "3");
CardsArray.sort(RandomRearange);
for (var k=0; k<=3; k++) {
document.getElementById("Photo"+k).src='images/p'+ChapterNum+'-'+CardsArray[k]+'.jpg';
}
RightAnswerId=AnswerArray[ChapterNum];
del=CardsArray.indexOf(RightAnswerId);
RightAnswerId=del;
document.getElementById("CounterDIV").innerHTML="Περίπτωση μελέτης: "+CN+" από 13";
}

function CardClicked(obj){
if (CurrentChapter<=MaxChapter){
for (var k=0; k<=3; k++){
document.getElementById("Photo"+k).className="imagenotselected";
}
obj.className="imageselected";
if (obj.id=='Photo'+RightAnswerId) Win();
else Loose();
}
}

function Win(){
Score=Score+1;
document.getElementById("RightWrongDIV").innerHTML="<strong>Μπράβο, σωστή επιλογή! Κάνε κλικ εδώ για να συνεχίσεις.</strong>";
}

function Loose(){
document.getElementById("RightWrongDIV").innerHTML="<strong>Ουπς, λάθος επιλογή. Κάνε κλικ εδώ για να συνεχίσεις.</strong>";
}

function Next(){
if (CurrentChapter>MaxChapter) 
document.getElementById("RightWrongDIV").innerHTML="<strong>Αυτό ήταν το τελευταίο, Απάντησες σωστά σε "+Score+" περιπτώσεις.'</strong>";
if (CurrentChapter<MaxChapter){
CurrentChapter=CurrentChapter+1;
ShowChapter(ChapterArray[CurrentChapter]);
}
}


